Use the double speech bubble icon in the Messages panel
Closed, ResolvedPublic

Description

Currently, the "Messages" panel shows a single speech bubble icon:

We should use a "double speech bubble" icon instead. This communicates better the conversation purpose and makes it easy to recognise (lower risk to become confused compared to a single geometric shape):

For performance reasons, Echo has copied these icons into the modules/icons/ folder, so those will need to be updated, the JSON files that make up the imagepack, and the code that adds the CSS classes.

I (@Legoktm) will mentor this task in GCI.

Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.

That looks like the "SpeechBubbles" icon on https://doc.wikimedia.org/oojs-ui/master/demos/#icons-mediawiki-mixed-ltr right?

Yes. That's the one.

Legoktm updated the task description. (Show Details)Dec 9 2015, 7:33 AM
Legoktm added a project: Google-Code-In-2015.
Legoktm set Security to None.

Change 259620 had a related patch set uploaded (by MtDu):
Use the double speech bubble icon in the Messages panel

https://gerrit.wikimedia.org/r/259620

Change 259620 merged by jenkins-bot:
Use the double speech bubble icon in the Messages panel

https://gerrit.wikimedia.org/r/259620

Hmm, I just realized that patch replaced both the big icon in the panel and also the small icon in the badge. @Pginer-WMF: was that intended?

Etonkovidova added a subscriber: Etonkovidova.EditedDec 19 2015, 6:25 PM

@Catrope - I think that's intended: the SpeechBubbles icon - the big icon in the Messages panel and the small icon in the badge for Messages should be the same.

Checked in betalabs - Chrome, FF, Safari.

Hmm, I just realized that patch replaced both the big icon in the panel and also the small icon in the badge. @Pginer-WMF: was that intended?

That makes sense in the current design. The badges will probably change as part of T115845 and the associated organisation for notifications.

Pginer-WMF closed this task as Resolved.Jan 15 2016, 6:02 PM